> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/getting-started/quickstart.md).

# Quick Start

Follow the fastest path from account creation to your first successful document processing request with Mindee.

## Sign Up!

<a href="https://app.mindee.com/signup?utm_source=docs" class="button primary" data-icon="user-plus">Sign Up to Mindee</a>

You can sign up and connect using your Google or Github account.

You can also create an account using good old-fashioned email and password.

## Create a Model

The quickest way is to create a model from a template in the catalog.

If there are no model templates that exactly fit your needs, you can:

* [Modify a model from the catalog](/getting-started/defining-a-model.md#from-an-existing-model)
* [Create your own model from scratch](/getting-started/defining-a-model.md#from-scratch)

## Test the Model

Be sure to make at least one test on a document, using the [Live Test feature](/models/live-test.md).

If it doesn't work as expected, modify the Data Schema, as explained in: [Models Overview](/models/models-overview.md#modifying-your-data-schema).

## Create an API Key

On the left-hand menu of the Mindee Platform, click [**API Keys**](https://app.mindee.com/settings?tab=api-keys) and create a new key.

## Send a File or URL

You can easily send a file or an URL with one of our [officially-supported SDKs](/extraction-models/sdk-integration.md).

Use the provided [command line tools](/integrations/client-libraries-sdk/command-line-tools-cli.md) to test the API without writing a single line of code.

For a quick introduction and ready to use code samples, check: [Extraction Quick Start](/extraction-models/sdk-integration/quick-start.md).

## Process the Result

You'll need some way of importing the JSON structure and manipulating it.

For quick testing, we recommend to using the [CLI feature](/integrations/client-libraries-sdk/command-line-tools-cli.md) of our client libraries.

{% @supademo/embed url="<https://app.supademo.com/demo/cmewtri4u8939v9kqh3q6u1g7>" demoId="cmewtri4u8939v9kqh3q6u1g7" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mindee.com/getting-started/quickstart.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
